Loading...
Searching...
No Matches
apr_thread_cond.h File Reference

APR Condition Variable Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_time.h"`
`#include "apr_thread_mutex.h"`
Include dependency graph for apr_thread_cond.h:

Go to the source code of this file.

## Typedefs

typedef struct apr_thread_cond_t | apr_thread_cond_t

## Functions

apr_status_t | apr_thread_cond_create (apr_thread_cond_t **cond, apr_pool_t *pool)
apr_status_t | apr_thread_cond_wait (apr_thread_cond_t *cond, apr_thread_mutex_t *mutex)
apr_status_t | apr_thread_cond_timedwait (apr_thread_cond_t *cond, apr_thread_mutex_t *mutex, apr_interval_time_t timeout)
apr_status_t | apr_thread_cond_signal (apr_thread_cond_t *cond)
apr_status_t | apr_thread_cond_broadcast (apr_thread_cond_t *cond)
apr_status_t | apr_thread_cond_destroy (apr_thread_cond_t *cond)
apr_pool_t * | apr_thread_cond_pool_get (const apr_thread_cond_t *thethread_cond)

## Detailed Description

APR Condition Variable Routines.